Name:           python-x2go
Version:        0.6.1.3
Release:        %mkrel 6
Summary:        A client-side X2go API for the Python programming language
License:        GPLv3
Group:          Development/Python
Url:            https://www.x2go.org/
Source0:        https://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
Python X2Go provides a client-side X2go API for the Python programming
language.

Python X2go is mostly interesting for developers who want to incorporate X2go
client support into their own Python applications.

Python X2Go forms the core (heart) of the X2Go client-side applications:
PyHoca-GUI and PyHoca-CLI.

%package -n python3-x2go
Summary:        A client-side X2go API for the Python programming language
%{?python_provide:%python_provide python3-x2go}
BuildRequires:  python3-devel

%description -n python3-x2go
Python X2Go provides a client-side X2go API for the Python programming
language.

Python X2go is mostly interesting for developers who want to incorporate X2go
client support into their own Python applications.

Python X2Go forms the core (heart) of the X2Go client-side applications:
PyHoca-GUI and PyHoca-CLI.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files x2go

%files -n python3-x2go -f %{pyproject_files}



%changelog
* Mon Mar 03 2025 wally <wally> 0.6.1.3-6.mga10
+ Revision: 2160210
- rebuild for python3.13

* Fri Dec 29 2023 papoteur <papoteur> 0.6.1.3-5.mga10
+ Revision: 2023982
- rebuild for python 3.12
- use pyproject macros

* Mon Mar 28 2022 umeabot <umeabot> 0.6.1.3-4.mga9
+ Revision: 1829718
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 0.6.1.3-3.mga9
+ Revision: 1779557
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.6.1.3-2.mga9
+ Revision: 1732955
- Rebuild for python 3.9

* Tue Sep 15 2020 guillomovitch <guillomovitch> 0.6.1.3-1.mga8
+ Revision: 1626677
- new version 0.6.1.3

* Tue Feb 18 2020 umeabot <umeabot> 0.6.1.1-2.mga8
+ Revision: 1540395
- Mageia 8 Mass Rebuild
+ wally <wally>
- new version 0.6.1.1

* Sun Dec 15 2019 wally <wally> 0.6.1.0-1.mga8
+ Revision: 1467779
- new version 0.6.1.0

* Mon Sep 16 2019 tv <tv> 0.6.0.2-2.mga8
+ Revision: 1442495
- rebuild for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 0.6.0.2-1.mga7
+ Revision: 1394115
- new version 0.6.0.2
- add python3 pkg

* Fri Sep 21 2018 umeabot <umeabot> 0.5.0.6-3.mga7
+ Revision: 1290575
- Mageia 7 Mass Rebuild

* Mon Apr 16 2018 kekepower <kekepower> 0.5.0.6-2.mga7
+ Revision: 1219194
- Remove <Paste> from Summary

* Fri Mar 23 2018 kekepower <kekepower> 0.5.0.6-1.mga7
+ Revision: 1211348
- Update to version 0.5.0.6
- Use python2dist
- Use python_provide
- Renamed python-x2go to python2-x2go

* Tue Jan 19 2016 daviddavid <daviddavid> 0.5.0.4-1.mga6
+ Revision: 925808
- new version: 0.5.0.4
- use new python macros

* Thu Jul 16 2015 philippem <philippem> 0.5.0.3-2.mga6
+ Revision: 854697
- update to 0.5.0.3 fix mga#16174

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0.9-5.mga5
+ Revision: 749410
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.0.9-4.mga5
+ Revision: 730013
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Fri Feb 07 2014 dams <dams> 0.4.0.9-1.mga5
+ Revision: 585434
- new version 0.4.0.9

* Wed Oct 23 2013 philippem <philippem> 0.2.1.0-5.mga4
+ Revision: 546529
- fix pythonegg
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.1.0-4.mga4
+ Revision: 499761
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1.0-3.mga3
+ Revision: 379687
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 obgr_seneca <obgr_seneca> 0.2.1.0-2.mga3
+ Revision: 330138
- new version

* Wed Sep 26 2012 obgr_seneca <obgr_seneca> 0.2.0.10-2.mga3
+ Revision: 298253
- Rebuild for new python-gevent

* Wed Sep 26 2012 obgr_seneca <obgr_seneca> 0.2.0.10-1.mga3
+ Revision: 297938
- New version

* Fri Aug 31 2012 obgr_seneca <obgr_seneca> 0.2.0.9-1.mga3
+ Revision: 286648
- New version

* Tue Aug 14 2012 obgr_seneca <obgr_seneca> 0.2.0.8-1.mga3
+ Revision: 281331
- New version

* Tue Jul 03 2012 obgr_seneca <obgr_seneca> 0.2.0.6-1.mga3
+ Revision: 266920
- New version 0.2.0.6

* Mon Mar 12 2012 obgr_seneca <obgr_seneca> 0.1.1.9-1.mga2
+ Revision: 223015
- added missing br on python-paramiko
- added missing BR on python-greenlet
- added missing BR for python-gevent
- imported package python-x2go


* Fri Mar 09 2012 Oliver Burger <obgr_seneca@mageia.org> 0.1.1.9-1.mga2
- initial package for Mageia
